
; Byte References

B_20	equ	20h	;  ' '  32
B_FF	equ	0FFh	;  -1
B_3B	equ	3Bh	;  ';'  59
B_0B	equ	0Bh	;  11
B_3F	equ	3Fh	;  '?'  63
B_1A	equ	1Ah	;  26
B_13	equ	13h	;  19
B_07	equ	07h	;  7
B_19	equ	19h	;  25
B_0E	equ	0Eh	;  14
B_11	equ	11h	;  17
B_E5	equ	0E5h	;  'e'+128  -27
B_0A	equ	0Ah	;  10
B_00	equ	00h	;  0
B_0C	equ	0Ch	;  12
B_7F	equ	7Fh	;  127
B_12	equ	12h	;  18
B_04	equ	04h	;  4
B_03	equ	03h	;  3
B_0D	equ	0Dh	;  13
B_41	equ	41h	;  'A'  65
B_09	equ	09h	;  9
B_2A	equ	2Ah	;  '*'  42
B_FC	equ	0FCh	;  '|'+128  -4
B_1C	equ	1Ch	;  28
B_2F	equ	2Fh	;  '/'  47
B_3A	equ	3Ah	;  ':'  58
B_08	equ	08h	;  8
B_98	equ	98h	;  -104
B_0F	equ	0Fh	;  15
B_01	equ	01h	;  1
B_30	equ	30h	;  '0'  48
B_F0	equ	0F0h	;  'p'+128  -16
B_06	equ	06h	;  6
B_05	equ	05h	;  5
B_61	equ	61h	;  'a'  97
B_7B	equ	7Bh	;  '{'  123
B_1F	equ	1Fh	;  31
B_C9	equ	0C9h	;  'I'+128  -55

; Displacement References

D_00	equ	0	;  000h

; Word References

W_302F	equ	302Fh	;  12335
W_0080	equ	0080h	;  128
W_006B	equ	006Bh	;  107
W_0069	equ	0069h	;  105
W_005D	equ	005Dh	;  93
W_0065	equ	0065h	;  101
W_0068	equ	0068h	;  104
W_008F	equ	008Fh	;  143
W_0010	equ	0010h	;  16
W_005C	equ	005Ch	;  92
W_0000	equ	0000h	;  0
W_0980	equ	0980h	;  2432
W_0006	equ	0006h	;  6
W_0982	equ	0982h	;  2434
W_0984	equ	0984h	;  2436
W_0986	equ	0986h	;  2438
W_097E	equ	097Eh	;  2430
W_000C	equ	000Ch	;  12
W_000E	equ	000Eh	;  14
W_0013	equ	0013h	;  19
W_FFFF	equ	0FFFFh	;  -1
W_098C	equ	098Ch	;  2444
W_8001	equ	8001h	;  -32767
W_447C	equ	447Ch	;  17532
W_05B5	equ	05B5h	;  1461
W_0C00	equ	0C00h	;  3072
W_9680	equ	9680h	;  -27008
W_4240	equ	4240h	;  16960
W_86A0	equ	86A0h	;  -31072
W_2710	equ	2710h	;  10000
W_0064	equ	0064h	;  100
W_000A	equ	000Ah	;  10

; Unclassified Symbols (read from file)
;   (probably same value as another symbol; or, never used)


; Undefined Label References 
;   (probably from data as program; or, to outside program area)

L_0169	equ	0169h	; undefined label
L_0151	equ	0151h	; undefined label
L_0181	equ	0181h	; undefined label
L_0005	equ	0005h	; undefined label
L_0000	equ	0000h	; undefined label
L_0050	equ	0050h	; undefined label
L_08D9	equ	08D9h	; undefined label
L_04A9	equ	04A9h	; undefined label
L_042B	equ	042Bh	; undefined label
L_0553	equ	0553h	; undefined label
L_0555	equ	0555h	; undefined label
L_0557	equ	0557h	; undefined label
L_056B	equ	056Bh	; undefined label
L_056D	equ	056Dh	; undefined label
L_057B	equ	057Bh	; undefined label
L_057D	equ	057Dh	; undefined label
L_0581	equ	0581h	; undefined label
L_0583	equ	0583h	; undefined label
L_05B0	equ	05B0h	; undefined label
L_05B2	equ	05B2h	; undefined label
L_05D9	equ	05D9h	; undefined label
L_05DB	equ	05DBh	; undefined label
L_05DD	equ	05DDh	; undefined label
L_060E	equ	060Eh	; undefined label
L_0612	equ	0612h	; undefined label
L_0594	equ	0594h	; undefined label
L_08CD	equ	08CDh	; undefined label
L_CDC9	equ	0CDC9h	; undefined label

	ORG	0100h

	jmp	L_013C
W_0103	DB	000h
W_0104	DB	00Ch
patch2k cpi	03ah
	jc	L_081f
	sbi	0ah
	jmp	patch2k

	db	031h,039h,038h
	DB	036h,02Ch,020h,053h,04Fh,046h,054h
	DB	057h,041h,052h,045h,020h,032h,030h
	DB	030h,030h,02Ch,020h,049h,04Eh,043h
	DB	02Eh,020h,028h,056h,045h,052h,053h
	DB	049h,04Fh,04Eh,020h,030h,031h,02Fh
	DB	030h,037h,02Fh,038h,036h,029h,020h
L_013C	DB	031h
	inr	h
	ldax	bc
	mvi	e,B_FF
L_0141	mvi	c,B_20
	call	L_0005
	sta	W_096C
L_0149	sta	W_096D
	call	L_015E
L_014F	call	L_0188
	call	L_01B2
	call	L_024F
	call	L_03E4
	jmp	L_0000
L_015E	lxi	de,W_0080
	ldax	de
	inx	de
L_0163	ora	a
	rz
	mov	b,a
L_0166	ldax	de
	inx	de
	cpi	B_3B
	jrz	L_016F
	djnz	L_0166
L_016E	ret
L_016F	dcr	b
L_0170	rz
L_0171	ldax	de
	inx	de
	call	L_0869
	mov	c,a
	lda 	W_087E
	call	L_0869
	cmp	c
	jrnz	L_0185
	lxi	hl,W_096B
	bset	1,m
L_0185	djnz	L_0171
	ret
L_0188	lda 	W_006B
	ora	a
	jrz	L_0194
	lda 	W_0069
	sta	W_096D
L_0194	lda 	W_005D
	cpi	B_20
	jrnz	L_01AC
	lda 	W_0065
	cpi	B_20
	jrnz	L_01AC
	lxi	hl,W_005D
	mvi	b,B_0B
L_01A7	mvi	m,B_3F
	inx	hl
	djnz	L_01A7
L_01AC	mvi	a,B_3F
	sta	W_0068
	ret
L_01B2	lxi	de,W_0080
	mvi	c,B_1A
	call	L_0005
	call	L_0236
	mvi	c,B_13
	call	L_0050
	cpi	B_FF
	jrz	L_0244
	sta	W_0973
	ani	B_07
	dcr	a
	dcr	a
	mov	b,a
	xra	a
	stc
L_01D0	adc	a
	djnz	L_01D0
	sta	W_0975
	shld	W_096E
	sded	W_0970
	mov	a,c
	sta	W_0972
	dcx	hl
	mov	a,h
	sta	W_0974
	mvi	c,B_19
	call	L_0005
	push	psw
	call	L_0236
	mvi	c,B_0E
	call	L_0005
	lxi	de,W_094B
	mvi	c,B_11
	call	L_0005
	inr	a
	jrz	L_0217
	lda 	W_0080
	cpi	B_E5
	jrnz	L_0217
	lda 	W_008F
	inr	a
	jrnz	L_0217
	lxi	hl,W_0080
	lxi	de,W_095B
	lxi	bc,W_0010
	ldir
L_0217	pop	psw
	mov	e,a
	mvi	c,B_0E
	call	L_0005
	mvi	c,B_0A
	call	L_0050
	ora	a
	jrnz	L_0244
	mov	a,b
	sta	W_099E
	mov	a,e
	sta	W_099D
	mov	a,d
	sta	W_099C
	shld	W_099F
	ret
L_0236	lda 	W_005C
	dcr	a
	jp	L_0242
	mvi	c,B_19
	call	L_0005
L_0242	mov	e,a
	ret
L_0244	lxi	hl,W_096B
	res	1,m
	call	L_0919
	jmp	L_0000
L_024F	lxi	hl,W_0000
	shld	W_0980
	shld	W_0988
	shld	W_098A
	lhld 	W_0006
	lxi	de,W_0A24
	sded	W_0978
	ora	a
	dsbc	de
	call	L_03D7
	push	hl
	call	L_03D7
	push	hl
	call	L_03D7
	pop	bc
	dad	bc
	pop	bc
	dad	bc
	xchg	
	dad	de
	shld	W_0976
	srlr	d
	rrar	e
	sded	W_0982
	lxi	de,W_0080
	mvi	c,B_1A
	call	L_0005
	call	L_07DB
	mvi	c,B_11
L_0291	lxi	de,W_005C
	call	L_0005
	call	L_07E2
	cpi	B_FF
	rz
	add	a
	add	a
	add	a
	add	a
	add	a
	mov	e,a
	mvi	d,B_00
	lxi	hl,W_0080
	dad	de
	mov	a,m
	cpi	B_E5
	jz	L_03C4
	shld	W_0984
	lxi	bc,W_0010
	dad	bc
	lxi	iy,W_0000
	mov	b,c
L_02BB	mov	e,m
	inx	hl
	mvi	d,B_00
	lda 	W_0974
	ora	a
	jrz	L_02C8
	mov	d,m
	inx	hl
	dcr	b
L_02C8	mov	a,d
	ora	e
	jrz	L_02CE
	inx	iy
L_02CE	djnz	L_02BB
	siyd	W_0986
	lxi	hl,W_0000
	shld	W_097A
	shld	W_097C
	lhld 	W_0980
	mov	a,h
	ora	l
	jrz	L_0346
	shld	W_097E
L_02E7	lhld 	W_097E
	lded	W_097C
	ora	a
	dsbc	de
	srlr	h
	rrar	l
	dad	de
	shld	W_097A
	call	L_07BA
	lded	W_0984
	mvi	b,B_0C
L_0302	ldax	de
	inx	de
	ani	B_7F
	mov	c,a
	mov	a,m
	inx	hl
	ani	B_7F
	cmp	c
	jrnz	L_032A
	djnz	L_0302
	lhld 	W_097A
	call	L_07BA
	lxi	bc,W_000C
	dad	bc
	mov	e,m
	inx	hl
	mov	d,m
	xchg	
	lbcd	W_0986
	dad	bc
	xchg	
	mov	m,d
	dcx	hl
	mov	m,e
	jmp	L_03AA
L_032A	lhld 	W_097A
	jrc	L_0334
	shld	W_097E
	jmpr	L_033B
L_0334	shld	W_097C
	inx	hl
	shld	W_097A
L_033B	lhld 	W_097E
	lded	W_097C
	dsbc	de
	jrnz	L_02E7
L_0346	lhld 	W_0982
	mov	a,h
	ora	l
	jrz	L_03CC
	dcx	hl
	shld	W_0982
	lhld 	W_0980
	call	L_07C1
	lxi	de,W_000E
	dad	de
	xchg	
	lhld 	W_0006
	ora	a
	dsbc	de
	jrc	L_03CC
	lhld 	W_0980
	lded	W_097A
	ora	a
	dsbc	de
	jrz	L_037F
	dad	hl
	push	hl
	lhld 	W_0980
	call	L_07D4
	mov	e,l
	mov	d,h
	inx	de
	dcx	hl
	pop	bc
	lddr
L_037F	lhld 	W_0980
	call	L_07C1
	xchg	
	lhld 	W_0984
	lxi	bc,W_000C
	ldir
	xchg	
	lded	W_0986
	mov	m,e
	inx	hl
	mov	m,d
	push	de
	lhld 	W_097A
	call	L_07D4
	lded	W_0980
	mov	m,e
	inx	hl
	mov	m,d
	inx	de
	sded	W_0980
	pop	de
L_03AA	lhld 	W_0988
	lbcd	W_0986
	dad	bc
	shld	W_0988
	xchg	
	push	hl
	lbcd	W_098A
	ora	a
	dsbc	bc
	pop	hl
	jrc	L_03C4
	shld	W_098A
L_03C4	call	L_07DB
	mvi	c,B_12
	jmp	L_0291
L_03CC	lxi	hl,W_096B
	res	1,m
	call	L_08D9
	jmp	L_0000
L_03D7	srlr	h
	rrar	l
	srlr	h
	rrar	l
	srlr	h
	rrar	l
	ret
L_03E4	call	L_080D
	dcr	c
W_03E8	adc	d
	call	L_0525
	lhld 	W_0980
	mov	a,h
	ora	l
	rz
	shld	W_0992
	lxi	hl,W_0000
	shld	W_0994
	lxi	hl,W_096B
	res	0,m
	lded	W_098A
	lda 	W_0975
	lxi	hl,W_0000
L_040A	dad	de
	jrc	L_0417
	dcr	a
	jrnz	L_040A
	lxi	de,W_03E8
	dsbc	de
	jrc	L_041C
L_0417	lxi	hl,W_096B
	bset	0,m
L_041C	lda 	W_096B
	bit	0,a
	mvi	a,B_04
	jrz	L_0426
	dcr	a
L_0426	sta	W_098E
	lxi	hl,W_096B
	bit	1,m
	jrnz	L_0442
	lxi	hl,W_0000
	lxi	de,W_0013
L_0436	dad	de
	dcr	a
	jrnz	L_0436
	lbcd	W_0992
	dsbc	bc
	jrc	L_0456
L_0442	lda 	W_098E
	mov	c,a
	mvi	b,B_00
	lxi	de,W_FFFF
	lhld 	W_0992
	dcx	hl
	ora	a
L_0450	inx	de
	dsbc	bc
	jrnc	L_0450
	inx	de
L_0456	sded	W_098C
	lhld 	W_0994
	dad	de
	shld	W_0996
	dad	de
	shld	W_0998
	dad	de
	shld	W_099A
L_0469	call	L_0728
	lda 	W_098E
	mov	b,a
	lxi	hl,W_0994
	jmpr	L_048B
L_0475	call	L_080D
	jrnz	L_049A
	jrnz	L_049C
	ana	b
	lda 	W_096B
	bit	0,a
	jrz	L_048B
	call	L_080D
	jrnz	L_04A9
	jrnz	L_042B
L_048B	push	bc
	call	L_04D7
	pop	bc
	djnz	L_0475
	call	L_080D
	dcr	c
	adc	d
	lhld 	W_0992
L_049A	mov	a,h
	ora	l
L_049C	rz
	lhld 	W_098C
	dcx	hl
	shld	W_098C
	mov	a,h
	ora	l
	jrnz	L_0469
	call	L_087F
L_04AB	call	L_0836
	cpi	B_03
	rz
	cpi	B_0D
	jrz	L_04BB
	call	L_080D
	add	a
	jmpr	L_04AB
L_04BB	lda 	W_0104
	call	L_0847
	call	L_0525
	lda 	W_096B
	bit	0,a
	lhld 	W_099A
	jrz	L_04D1
	lhld 	W_0998
L_04D1	shld	W_0994
	jmp	L_041C
L_04D7	mov	e,m
	inx	hl
	mov	d,m
	push	de
	inx	de
	mov	m,d
	dcx	hl
	mov	m,e
	xthl
	push	hl
	lded	W_0980
	ora	a
	dsbc	de
	pop	hl
	jrnc	L_0521
	call	L_07BA
	inx	hl
	call	L_0707
	mov	e,m
	inx	hl
L_04F4	mov	d,m
	lda 	W_0975
	mov	b,a
	lxi	hl,W_0000
	xra	a
	sta	W_0991
L_0500	dad	de
	jrnc	L_0504
	inr	a
L_0504	djnz	L_0500
	mov	c,a
	lda 	W_096B
	bit	0,a
	mov	a,c
	jrz	L_0514
	call	L_074E
	jmpr	L_0517
L_0514	call	L_0769
L_0517	call	L_0896
	lhld 	W_0992
	dcx	hl
	shld	W_0992
L_0521	pop	hl
	inx	hl
	inx	hl
	ret
L_0525	call	L_0728
	lxi	hl,W_095C
	call	L_0707
	call	L_080D
	jrnz	L_0553
	jrnz	L_0555
	jrnz	L_0557
	jrnz	L_0559
	jrnz	L_055B
	ana	b
	call	L_0621
	lxi	hl,W_0967
	bit	7,m
	jrz	L_0556
	call	L_080D
	jrnz	L_056B
	jrnz	L_056D
	jrz	L_0597
	dad	hl
	jrnz	L_0572
	jrnz	L_04F4
	jmpr	L_0564
L_0556	call	L_080D
L_0559	jrnz	L_057B
L_055B	jrnz	L_057D
	jrnz	L_057F
	jrnz	L_0581
L_0561	jrnz	L_0583
	ana	b
L_0564	call	L_06DC
	call	L_080D
	jrnz	L_058C
	jrnz	L_058E
	jrnz	L_0590
	jrnz	L_0592
L_0572	jrnz	L_0514
	lhld 	W_0970
	mov	a,h
	ana	l
	inr	a
	jrz	L_0584
	call	L_0604
L_057F	call	L_089B
	jmpr	L_0587
L_0584	call	L_08A8
L_0587	call	L_080D
	dcr	c
	ldax	bc
L_058C	jrnz	L_05AE
L_058E	jrnz	L_05B0
L_0590	jrnz	L_05B2
L_0592	ana	b
	call	L_0728
	xra	a
L_0597	sta	W_0991
	lhld 	W_0980
	call	L_0756
	call	L_08BE
	lhld 	W_0980
	dcx	hl
	mov	a,h
	ora	l
	jrnz	L_05B1
	call	L_080D
L_05AE	ana	b
	jmpr	L_05B4
L_05B1	call	L_08C7
L_05B4	call	L_080D
	jrnz	L_05D9
	jrnz	L_05DB
	jrnz	L_05DD
	jrnz	L_05DF
	jrnz	L_0561
	lda 	W_096D
	mov	l,a
	mvi	h,B_00
	xra	a
	sta	W_0991
	call	L_0771
	lda 	W_005C
	dcr	a
	jp	L_05DA
	mvi	c,B_19
	call	L_0005
L_05DA	adi	B_41
	call	L_081F
L_05DF	call	L_080D
	cmp	d
	lxi	hl,W_005D
	call	L_0707
	call	L_080D
	jrnz	L_060E
	jrnz	L_0610
	jrnz	L_0612
	jrnz	L_0594
	lhld 	W_0988
	call	L_0604
	call	L_08CC
	call	L_080D
	dcr	c
	ldax	bc
	adc	d
	ret
L_0604	xchg	
	lda 	W_0975
	mov	b,a
	lxi	hl,W_0000
	xra	a
	sta	W_0991
L_0610	dad	de
	jrnc	L_0614
	inr	a
L_0614	djnz	L_0610
	call	L_074E
	call	L_0896
	call	L_080D
	ana	b
	ret
L_0621	lhld 	W_099F
	call	L_0661
	lda 	W_09A3
	ora	a
	jrz	L_0657
	call	L_06F3
	call	L_080D
	ana	b
	lhld 	W_09A2
	mvi	h,B_00
	dcx	hl
	mov	d,h
	mov	e,l
	dad	de
	dad	de
	lxi	de,W_08F5
	dad	de
	mvi	b,B_03
L_0644	mov	a,m
	inx	hl
	call	L_081F
	djnz	L_0644
	call	L_080D
	ana	b
	lda 	W_09A1
	call	L_06F3
	jmpr	L_0660
L_0657	mvi	b,B_09
	mvi	a,B_2A
L_065B	call	L_081F
	djnz	L_065B
L_0660	ret
L_0661	xchg	
	lxi	hl,W_8001
	ora	a
	dsbc	de
	jz	L_06C7
	lxi	hl,W_447C
	dad	de
	mvi	e,B_00
	dad	hl
	jrnc	L_0676
	inr	e
	inr	e
L_0676	dad	hl
	jrnc	L_067A
	inr	e
L_067A	lxi	bc,W_05B5
	mvi	a,B_FF
L_067F	inr	a
	ora	a
	dsbc	bc
	jrnc	L_067F
	dcr	e
	jp	L_067F
L_0689	sta	W_09A1
	dad	bc
	mov	a,l
	ani	B_FC
	ora	h
	jrnz	L_0699
	lda 	W_09A1
	dcr	a
	jmpr	L_0689
L_0699	srlr	h
	rrar	l
	srlr	h
	rrar	l
	mvi	b,B_1C
	lda 	W_09A1
	ani	B_03
	jrnz	L_06AB
	inr	b
L_06AB	mov	a,b
	sta	W_0873
	lxi	bc,W_0C00
	mvi	d,B_00
	lxi	ix,W_0872
L_06B8	mov	e,D_00(ix)
	ora	a
	dsbc	de
	inx	bc
	inx	ix
	jrc	L_06D2
	jrz	L_06D2
	djnz	L_06B8
L_06C7	xra	a
	sta	W_09A3
	sta	W_09A2
	sta	W_09A1
	ret
L_06D2	dad	de
	mov	a,c
	sta	W_09A2
	mov	a,l
	sta	W_09A3
	ret
L_06DC	lda 	W_099C
	call	L_06F3
	call	L_080D
	cmp	d
	lda 	W_099D
	call	L_06F3
	call	L_080D
	cmp	d
	lda 	W_099E
L_06F3	mvi	b,B_2F
L_06F5	inr	b
	sui	B_0A
	jp	L_06F5
	adi	B_3A
	push	psw
	mov	a,b
	call	patch2k
	pop	psw
	call	L_081F
	ret
L_0707	mvi	b,B_08
	call	L_0720
	bit	7,m
	jrz	L_0716
	call	L_080D
	cmp	d
	jmpr	L_071A
L_0716	call	L_080D
	xra	m
L_071A	mvi	b,B_03
	call	L_0720
	ret
L_0720	mov	a,m
	inx	hl
	call	L_081F
	djnz	L_0720
	ret
L_0728	lda 	W_096B
	bit	1,a
	rz
	lda 	W_0103
	ora	a
	rz
	mov	b,a
L_0734	call	L_080D
	ana	b
	djnz	L_0734
	ret
	mvi	c,B_98
	lxi	de,W_9680
	call	L_0793
	mvi	c,B_0F
	lxi	de,W_4240
	call	L_0793
	call	L_0780
L_074E	mvi	c,B_01
	lxi	de,W_86A0
	call	L_0793
L_0756	mvi	c,B_00
	lxi	de,W_2710
	call	L_0793
	mvi	c,B_00
	lxi	de,W_03E8
	call	L_0793
	call	L_0780
L_0769	mvi	c,B_00
	lxi	de,W_0064
	call	L_0793
L_0771	mvi	c,B_00
	lxi	de,W_000A
	call	L_0793
	mov	a,l
	adi	B_30
	call	L_081F
	ret
L_0780	push	psw
	lda 	W_0991
	ora	a
	jrz	L_078D
	call	L_080D
	xra	h
	jmpr	L_0791
L_078D	call	L_080D
	ana	b
L_0791	pop	psw
	ret
L_0793	mvi	b,B_FF
	ora	a
L_0796	inr	b
	dsbc	de
	sbb	c
	jrnc	L_0796
	dad	de
	adc	c
	push	psw
	mov	a,b
	ora	a
	jrnz	L_07AD
	lda 	W_0991
	ora	a
	jrnz	L_07B2
	mvi	b,B_F0
	jmpr	L_07B2
L_07AD	mvi	a,B_01
	sta	W_0991
L_07B2	mov	a,b
	adi	B_30
	call	L_081F
	pop	psw
	ret
L_07BA	call	L_07D4
	mov	a,m
	inx	hl
	mov	h,m
	mov	l,a
L_07C1	call	L_07CA
	lbcd	W_0976
	dad	bc
	ret
L_07CA	push	hl
	dad	hl
	push	hl
	dad	hl
	pop	bc
	dad	bc
	pop	bc
	dad	bc
	dad	hl
	ret
L_07D4	dad	hl
	lbcd	W_0978
	dad	bc
	ret
L_07DB	lda 	W_096D
	call	L_07EB
	ret
L_07E2	push	psw
	lda 	W_096C
	call	L_07EB
	pop	psw
	ret
L_07EB	mov	e,a
	push	de
	call	L_0805
	pop	de
	cmp	e
	rz
	push	de
	mvi	c,B_20
	call	L_0005
	call	L_0805
	pop	de
	cmp	e
	rz
	call	L_092F
	jmp	L_0000
L_0805	mvi	e,B_FF
	mvi	c,B_20
	call	L_0005
	ret
L_080D	xthl
	call	L_0813
	xthl
	ret
L_0813	push	psw
L_0814	mov	a,m
	inx	hl
	call	L_081F
	ora	a
	jp	L_0814
	pop	psw
	ret
L_081F	push	hl
	lxi	hl,W_096B
	bit	1,m
	pop	hl
	jrnz	L_0858
	jmpr	L_0847
	push	bc
	push	de
	push	hl
	mvi	c,B_03
	call	L_0005
	pop	hl
	pop	de
	pop	bc
	ret
L_0836	push	bc
	push	de
	push	hl
L_0839	mvi	e,B_FF
	mvi	c,B_06
	call	L_0005
	ora	a
	jrz	L_0839
	pop	hl
	pop	de
	pop	bc
	ret
L_0847	push	bc
	push	de
	push	hl
	push	psw
	ani	B_7F
	mov	e,a
	mvi	c,B_04
	call	L_0005
	pop	psw
	pop	hl
	pop	de
	pop	bc
	ret
L_0858	push	bc
	push	de
	push	hl
	push	psw
	ani	B_7F
	mov	e,a
	mvi	c,B_05
	call	L_0005
	pop	psw
	pop	hl
	pop	de
	pop	bc
	ret
L_0869	cpi	B_61
	rc
	cpi	B_7B
	rnc
	sui	B_20
	ret
W_0872	rar
W_0873	inr	e
	rar
	mvi	e,B_1F
	mvi	e,B_1F
	rar
	mvi	e,B_1F
	mvi	e,B_1F
W_087E	mov	c,h
L_087F	call	L_080D
	dcr	c
	ldax	bc
	inr	a
	mov	b,e
	mov	d,d
	mvi	a,B_20
	mov	m,h
	mov	l,a
	jrnz	L_08D0
	mov	l,a
	mov	l,m
	mov	m,h
	mov	l,c
	mov	l,m
	mov	m,l
	mov	h,l
	ana	b
	ret
L_0896	call	L_080D
	bset	1,c
L_089B	call	L_080D
	mov	d,d
	mov	b,l
	mov	c,l
	mov	b,c
	mov	c,c
	mov	c,m
	mov	c,c
	mov	c,m
	rst	0
	ret
L_08A8	call	L_080D
	jrnz	L_08CD
	jrnz	L_08CF
	mov	b,h
	mov	c,c
	mov	d,e
	mov	c,e
	jrnz	L_0907
	mov	b,l
	mov	b,c
	mov	b,h
	jrnz	L_0909
	mov	c,m
	mov	c,h
	exx
	ret
L_08BE	call	L_080D
	jrnz	L_0909
	mov	c,c
	mov	c,h
	push	bc
	ret
L_08C7	call	L_080D
	out	B_C9
L_08CC	call	L_080D
L_08CF	mov	b,h
L_08D0	mov	c,c
	mov	d,e
	mov	d,b
	mov	c,h
	mov	b,c
	mov	e,c
	mov	b,l
	cnz	L_CDC9
	dcr	c
	exaf
	dcr	c
	ldax	bc
	mov	c,c
	mov	l,m
	mov	m,e
	mov	m,l
	mov	h,m
	mov	h,m
	mov	l,c
	mov	h,e
	mov	l,c
	mov	h,l
	mov	l,m
	mov	m,h
	jrnz	L_0959
	mov	h,l
	mov	l,l
	mov	l,a
	mov	m,d
	mov	a,c
	rlc
	dcr	c
	adc	d
	ret
W_08F5	mov	c,d
	mov	h,c
	mov	l,m
	mov	b,m
	mov	h,l
	mov	h,d
	mov	c,l
	mov	h,c
	mov	m,d
	mov	b,c
	mov	m,b
	mov	m,d
	mov	c,l
	mov	h,c
	mov	a,c
	mov	c,d
	mov	m,l
	mov	l,m
L_0907	mov	c,d
	mov	m,l
L_0909	mov	l,h
	mov	b,c
	mov	m,l
	mov	h,a
	mov	d,e
	mov	h,l
	mov	m,b
	mov	c,a
	mov	h,e
	mov	m,h
	mov	c,m
	mov	l,a
	hlt
	mov	b,h
	mov	h,l
	mov	h,e
L_0919	call	L_080D
	dcr	c
	ldax	bc
	mov	c,m
	mov	h,l
	mov	m,h
	mov	m,a
	mov	l,a
	mov	m,d
	mov	l,e
	jrnz	L_098C
	mov	m,d
	mov	m,d
	mov	l,a
	mov	m,d
	rlc
	dcr	c
	adc	d
	ret
L_092F	call	L_080D
	dcr	c
	ldax	bc
	mov	c,m
	mov	l,a
	mov	l,m
	dcr	l
	mov	m,b
	mov	m,d
	mov	l,c
	hlt
	mov	l,c
	mov	l,h
	mov	h,l
	mov	h,a
	mov	h,l
	mov	h,h
	jrnz	L_09B9
	mov	m,e
	mov	h,l
	mov	m,d
	rlc
	dcr	c
	adc	d
	ret
	
W_094B	DB	03Fh,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
L_0959	DB	000h,000h
W_095B	DB	0E5h
W_095C	DB	020h,020h,020h,020h,020h,020h,020h
	DB	020h,020h,020h,020h
W_0967	DB	000h
L_0968	DB	000h,000h,0FFh
W_096B	DB	000h
W_096C	DB	000h
W_096D	DB	000h
W_096E	DB	000h,000h
W_0970	DB	000h,000h
W_0972	DB	000h
W_0973	DB	000h
W_0974	DB	000h
W_0975	DB	000h
W_0976	DB	000h,000h
W_0978	DB	000h,000h
W_097A	DB	000h,000h
W_097C	DB	000h,000h
L_097E	DB	000h,000h
L_0980	DB	000h,000h
L_0982	DB	000h,000h
L_0984	DB	000h,000h
L_0986	DB	000h,000h
W_0988	DB	000h,000h
W_098A	DB	000h,000h
L_098C	DB	000h,000h
W_098E	DB	000h,000h,000h
W_0991	DB	000h
W_0992	DB	000h,000h
W_0994	DB	000h,000h
W_0996	DB	000h,000h
W_0998	DB	000h,000h
W_099A	DB	000h,000h
W_099C	DB	000h
W_099D	DB	000h
W_099E	DB	000h
W_099F	DB	041h,01Fh
W_09A1	DB	000h
W_09A2	DB	000h
W_09A3	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h
L_09B9	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h
W_0A24	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h,000h,000h,000h,000h,000h
	DB	000h,000h
